Gecode::Int::ViewValues< View > Class Template Reference
Functionality by programming task » Programming actors » Programming integer actors

Value iterator for integer views. More...

`#include <view.hpp>`

## Constructors and initialization

| ViewValues (void)
| Default constructor.
| ViewValues (const View &x)
| Initialize with values for x.
void | init (const View &x)
| Initialize with values x.

## Additional Inherited Members

| ToValues (void)
| Default constructor.
void | init (ViewRanges< View > &i)
| Initialize with values from range iterator i.
bool | operator() (void) const
| Test whether iterator is still at a value or done.
void | operator++ (void)
| Move iterator to next value (if possible).
int | val (void) const
| Return current value.
Protected Member Functions inherited from Gecode::Iter::Ranges::ToValues< ViewRanges< View > >
void | start (void)
| Initialize iterator.
Protected Attributes inherited from Gecode::Iter::Ranges::ToValues< ViewRanges< View > >
ViewRanges< View > | i
| Range iterator used.
int | cur
| Current value.
int | max
| End of current range.

## Detailed Description

template<class View>
class Gecode::Int::ViewValues< View >

Value iterator for integer views.

This class provides a value iterator for all integer views.

Definition at line 94 of file view.hpp.

## Constructor & Destructor Documentation

## ViewValues() [1/2]

template<class View>

Gecode::Int::ViewValues< View >::ViewValues | ( | void |  | ) |

inline

Default constructor.

Definition at line 42 of file iter.hpp.

## ViewValues() [2/2]

template<class View>

Gecode::Int::ViewValues< View >::ViewValues | ( | const View & | x | ) |

inline

Initialize with values for x.

Definition at line 46 of file iter.hpp.

## Member Function Documentation

## init()

template<class View>

void Gecode::Int::ViewValues< View >::init | ( | const View & | x | ) |

inline

Initialize with values x.

Definition at line 53 of file iter.hpp.

The documentation for this class was generated from the following files:

- gecode/int/view.hpp
- gecode/int/view/iter.hpp